package com.example.recommend.service;

import com.example.recommend.common.BusinessException;
import com.example.recommend.model.ShopModel;

import java.util.List;

public interface ShopService {

    ShopModel create(ShopModel shopModel) throws BusinessException;

    ShopModel get(Integer id);

    List<ShopModel> selectAll();

    //List<ShopModel> recommend(BigDecimal longitude, BigDecimal latitude);

    //List<Map<String, Object>> searchGroupByTags(String keyword, Integer categoryId, String tags);

    Integer countAllShop();

    //List<ShopModel> search(BigDecimal longitude, BigDecimal latitude,String keyword, Integer orderby, Integer categoryId, String tags);
}
